import { BaseCriteriaDtoModel } from "../../../services";
export declare class GenericDocLineRecentItemDto extends BaseCriteriaDtoModel {
    item_guid: string;
    guid_comp: string;
    server_doc_type: string;
    doc_entity_hdr_guid: string;
    limit: number;
    order: string;
    constructor(item_guid?: string, guid_comp?: string, server_doc_type?: string, doc_entity_hdr_guid?: string, limit?: number, order?: string);
    getItemGuid(): string;
    setItemGuid(item_guid: string): void;
    getGuidComp(): string;
    setGuidComp(guid_comp: string): void;
    getServerDocType(): string;
    setServerDocType(server_doc_type: string): void;
    getDocEntityHdrGuid(): string;
    setDocEntityHdrGuid(doc_entity_hdr_guid: string): void;
    getQueryKeyValues(): string;
}
